Cyberduck Mountain Duck CLI

#5858 closed feature (wontfix)

Support Amazon Cloud Drive

Reported by: sfurst Owned by:
Priority: low Milestone:
Component: core Version: 4.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi. WIll Cyberduck be able to access Amazon's newly-announced Cloud Drive storage? I have no idea what the interface to it is, but I suspect it is different from Amazon S3.

Thank you!

Change History (20)

comment:1 Changed on Mar 30, 2011 at 11:27:25 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

Amazon does not currently provide an API to CloudDrive although behind the scenes data is stored in S3.

comment:2 follow-up: Changed on May 3, 2011 at 3:43:39 PM by hakujin

So... how does Gladinet accomplish this? I'm interested in this product but amazon's clout storage is crucial and gladinet cloud desktop handles the hook into it just fine.

Last edited on May 3, 2011 at 8:27:12 PM by hakujin (previous) (diff)

comment:3 in reply to: ↑ 2 Changed on May 3, 2011 at 3:46:54 PM by dkocher

Replying to hakujin:

So... how does Gladinet accomplish this? I'm interested in this product buy amazon's clout storage is crucial and gladinet cloud desktop handles the hook into it just fine.

I have no idea.

comment:4 follow-up: Changed on May 3, 2011 at 8:38:34 PM by hakujin

perhaps it parses HTML code and sends HTTP requests to mimic the user interaction on the web page? seems more stable than that though. some are creating 3rd party APIs after analyzing traffic. maybe that's what gladinet did. same w/ a pioneering person I found that accomplished this w/ python.

sufficed to say it's entirely possible, feasible even. any roadmap?

comment:5 in reply to: ↑ 4 Changed on May 4, 2011 at 11:26:18 AM by dkocher

Replying to hakujin:

perhaps it parses HTML code and sends HTTP requests to mimic the user interaction on the web page? seems more stable than that though. some are creating 3rd party APIs after analyzing traffic. maybe that's what gladinet did. same w/ a pioneering person I found that accomplished this w/ python.

sufficed to say it's entirely possible, feasible even. any roadmap?

Screen scraping is definitely not an option.

comment:6 Changed on Mar 29, 2015 at 5:58:18 PM by ralf bergs

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

I would like to draw your attention to the following:

So it seems easy to add support now. :-)

Thank you.

Last edited on Jul 1, 2015 at 9:24:25 AM by dkocher (previous) (diff)

comment:7 Changed on Mar 31, 2015 at 10:32:09 AM by dkocher

  • Priority changed from normal to low
  • Summary changed from Amazon Cloud Drive to Support Amazon Cloud Drive

comment:8 Changed on Mar 31, 2015 at 10:32:53 AM by dkocher

  • Summary changed from Support Amazon Cloud Drive to Support Amazon Cloud Drive API

comment:9 Changed on Feb 15, 2016 at 12:57:06 PM by dkocher

  • Summary changed from Support Amazon Cloud Drive API to Support Amazon Cloud Drive
  • Type changed from enhancement to feature

comment:10 follow-up: Changed on Feb 15, 2016 at 5:47:45 PM by ralf bergs

I'm happy to see movement in this bug... :-)

Does it mean you are currently working to implement this? Or has it already been implemented?

Thanks!

comment:11 in reply to: ↑ 10 Changed on Feb 29, 2016 at 9:27:06 AM by dkocher

Replying to ralf bergs:

I'm happy to see movement in this bug... :-)

Does it mean you are currently working to implement this? Or has it already been implemented?

Thanks!

Support will be added later this year.

comment:12 Changed on Jun 23, 2016 at 6:45:17 PM by jfarrar42

I see that this has been opened for quite a while dealing with the ability to connect to Amazon CloudDrive, without hardly any forward progress. I wanted to add that this is a very important issue for me in order for me to use both CyberDuck and MountainDuck with my clients. Any solid timetable for this to be achieved? Thanks, John

comment:13 Changed on Sep 29, 2016 at 11:35:37 AM by jonny6pak

Is there any updated timetable for adding Amazon Cloud Drive support? It doesn't look like there has been any movement.

comment:14 Changed on Sep 29, 2016 at 1:55:56 PM by pjburnhill

I would like to see an update on this too.. Been waiting for a decent client to use with ACD.

comment:15 follow-ups: Changed on Oct 25, 2016 at 9:13:38 AM by dkocher

We are currently unable to add support as we are missing access to the SDKs which are by invitation only.

Thank you for your interest in using the Amazon Drive developer tools. We consider a variety of factors as we evaluate each invite request, including the use case your application will support. While our goal is to offer a broad and compelling assortment of applications to Amazon Drive customers, we are currently unable to approve your request for access.

Best Regards,

The Amazon Drive Team

comment:16 in reply to: ↑ 15 Changed on Oct 25, 2016 at 10:25:51 AM by pjburnhill

Replying to dkocher:

We are currently unable to add support as we are missing access to the SDKs which are by invitation only.

WTHeck? I don't see their logic here from Amazon part at all? Do they want people to be held back by their own HD space and use their desktop client instead?

comment:17 in reply to: ↑ 15 Changed on Oct 26, 2016 at 7:56:35 PM by 0x4c4a4d

Replying to dkocher:

We are currently unable to add support as we are missing access to the SDKs which are by invitation only.

Though they give no specific reason for denying the request, the closest they come to a reason (imo) is that it seems they don't like our "use case".

We consider a variety of factors as we evaluate each invite request, including the use case your application will support.

Is it possible to appeal on the grounds that they have already approved similar apps like ExpanDrive and GoodSync (both of which suck, btw)? Alternatively, maybe they don't want to approve Cyberduck because it's opensource, and it would give away access to their API?

comment:19 Changed on Dec 15, 2016 at 7:00:55 PM by dkocher

Thank you for your email. We can’t provide further details about why your invite request was denied. We consider a variety of factors as we evaluate each invite request, including the use case your application will support.

Best Regards,

The Amazon Drive Team

comment:20 Changed on Apr 26, 2017 at 8:39:01 AM by dkocher

https://developer.amazon.com/amazon-drive

The Amazon Drive API and SDKs are currently closed to new developers. Thank you for your interest. We received an overwhelming number of API invitation requests with many innovative integration scenarios. We have ended the invitation period to focus on enabling new customer experiences with current developers.

comment:21 Changed on Jun 22, 2017 at 6:36:47 PM by dkocher

  • Resolution set to wontfix
  • Status changed from reopened to closed

We don't currently see any chance to get access to the API and we suppose third party client access will be phased out in the long term.

Note: See TracTickets for help on using tickets.
swiss made software